Skip to main content
PUT
Update Collection Account

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string
required

Unique ID of the collection account to update.

Body

application/json
metadata
object

Set of key-value pairs to attach to the collection account object.

Response

200 - application/json

Collection account updated successfully.

Represents a collection account (virtual account or stablecoin wallet).

id
string

Unique identifier. Starts with cva_ (virtual account), cwa_ (wallet), or cta_.

object
string

Always "collection_account".

type
enum<string>

Type of collection account.

Available options:
virtual_account,
wallet
description
string

Usecase description for this account.

on_behalf_of
string

ID of the entity this account is configured on behalf of.

country
string

Country in which the account is opened (ISO 3166 alpha-2).

currencies
string[]

List of currencies enabled for this account.

payment_method_type
string

Type of payment method for this account.

virtual_account
object

Virtual account bank details. Present when type is virtual_account.

wallet
object

Wallet details. Present when type is wallet.

status
enum<string>

Current status of the collection account.

Available options:
disabled,
enabled
requests
object[]

Enablement, disablement, or reenablement requests attached to this account.

status_description
string

Description of the current status (e.g. disablement reason).

alias
string

Nickname for the account.

balance_transaction
string

ID of the balance transaction linked to this collection account.

metadata
object

Key-value pairs attached to the collection account.

created_at
string<date-time>

Timestamp when the account was created.

updated_at
string<date-time>

Timestamp when the account was last updated.